﻿html,
body {
    height: 100%;
    
    font-family: "Segoe UI Semibold", "Segoe UI obyčejné", "Segoe UI", sans-serif;
    line-height: normal;
}

a {
    color: #299BEA;
    font-size: 14px;
    font-family: "Segoe UI", sans-serif;
}
a:hover {
    color: rgb(29, 128, 163);
    text-decoration: none;
}

.background-container {
    position: absolute;
    height: 100%;
    width: 100%;
    overflow: hidden;
  }
  
  .space {
    background: transparent center / 200px 200px round;
    height: 100%;
    width: 100%;
    position: absolute;
  }
  
  .stars-1 {
    background-image: radial-gradient(1px 1px at 25px 5px, white, rgba(255, 255, 255, 0)),
      radial-gradient(1px 1px at 50px 25px, white, rgba(255, 255, 255, 0)),
      radial-gradient(1px 1px at 125px 20px, white, rgba(255, 255, 255, 0)),
      radial-gradient(2px 2px at 15px 125px, white, rgba(255, 255, 255, 0)),
      radial-gradient(2.5px 2.5px at 110px 80px, white, rgba(255, 255, 255, 0));
    transform: rotate(4deg);
  }
  
  .stars-2 {
    background-image: radial-gradient(1px 1px at 75px 125px, white, rgba(255, 255, 255, 0)),
      radial-gradient(1px 1px at 100px 75px, white, rgba(255, 255, 255, 0)),
      radial-gradient(1.5px 1.5px at 199px 100px, white, rgba(255, 255, 255, 0)),
      radial-gradient(2.5px 2.5px at 5px 5px, white, rgba(255, 255, 255, 0));
    transform: rotate(-17deg);
  }
  
  .stars-3 {
    background-image: radial-gradient(1px 1px at 10px 10px, white, rgba(255, 255, 255, 0)),
      radial-gradient(1px 1px at 150px 150px, white, rgba(255, 255, 255, 0)),
      radial-gradient(1.5px 1.5px at 60px 170px, white, rgba(255, 255, 255, 0)),
      radial-gradient(1.5px 1.5px at 175px 180px, white, rgba(255, 255, 255, 0)),
      radial-gradient(2.5px 2.5px at 95px 145px, white, rgba(255, 255, 255, 0));
    transform: rotate(14deg);
  }

.phoenix-picture {
    width: 239px;
    padding-bottom: 60px;
}
  
.login-content {
    width: 24rem;
    height: 500px;
    justify-content: center;
    display: flex;
    max-width: 100vw;
    max-height: 100vh;
    z-index: 1;
}
  
.alza-logo {
    width: 136px;
    padding-top: 104px;
}

@media screen and (max-width: 760px) {
    .login-content {
        padding: 0.25rem;;
    }
    .phoenix-picture {
        padding-bottom: 1.25rem;
        padding-top: 0.9375rem;
    }
    .alza-logo {
        padding-bottom: 2rem;
        padding-top: 1.25rem;
    }
    .login-page {
        padding: 1.75rem 1.2rem 3rem 1.2rem !important;
    }
}

@media screen and (max-height: 900px) {
    .phoenix-picture {
        padding-bottom: 1.4rem;
        padding-top: 2.8rem;
    }
    .alza-logo {
        padding-bottom: 3rem;
        padding-top: 3rem;
    }
}

@media screen and (max-height: 730px) {
    .login-page {
        padding: 3.4375rem 3.125rem 8rem 3.125rem;
        padding: 3rem 2.9rem 6rem 2.9rem !important;
    }
}

@media screen and (max-height: 695px) {
    .login-page {
        padding: 1.75rem 1.2rem 3rem 1.2rem !important;
    }
    .login-page input {
        margin-bottom: 0.95rem !important;
    }
    .login-title {
        padding-bottom: 0.95rem !important;
    }
}

@media screen and (max-height: 630px) {
    .login-page {
        padding: 1.45rem 1rem 2.45rem 1rem !important;
    }
    .login-page input {
        margin-bottom: 0.4rem !important;
    }
    .login-title {
        padding-bottom: 0.4rem !important;
    }
    .phoenix-picture {
        padding-bottom: 1rem;
        padding-top: 2rem;
    }
    .alza-logo {
        padding-bottom: 2rem;
        padding-top: 2rem;
    }
}

@media screen and (max-height: 530px) {
    .phoenix-picture, .alza-logo {
        display: none;
    }
}

@media screen and (max-height: 340px) {
    .login-page {
        padding: 0.5rem 0.4rem 1.3rem 0.4rem !important;
    }
    .login-page input {
        margin-bottom: 0.25rem !important;
    }
    .login-title {
        padding-bottom: 0.25rem !important;
    }
}

.twofa-login {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    background-repeat: no-repeat;
    background-image: linear-gradient(90deg,#0F0C29,#312B64,#24243E);
}

.twofa-result {
    background-color: white;
    height: 660px;
    border-radius: 4px;
}

.login-title {
    color: rgb(51, 51, 51);
    font-weight: 600;
    padding-top: 0.1rem;
    padding-bottom: 0.3rem;
}

.login-page {
    height: 100%;
    width: 24rem;
    border-radius: 4px;
    padding: 3.4375rem 3.125rem 8rem 3.125rem;
    display: flex;
    flex-direction: column;
    background: white;
}

button[type="submit"] {
    background-color: rgb(41, 155, 234);
    color: white !important;
    width: 100%;
    font-weight: 400;
    border: 0;
    margin-bottom: auto;
    font-size: 14px;
    height: 40px;
}

button[type="submit"]:hover {
    background-color: #2384c7;
}

button[type="submit"]:active {
    background-color: #1d6da4
}

button[type="submit"]:focus {
    box-shadow: none;
}

.external-button {
    background-color: rgb(41, 155, 234);
    color: white !important;
    width: 100%;
    font-weight: 400;
    border: 0;
    margin-bottom: auto;
    line-height: 2;
    font-family: "Segoe UI Semibold", "Segoe UI obyčejné", "Segoe UI", sans-serif;
}

.external-button:hover {
        background-color: #2384c7;
    }

.external-button:active {
    background-color: #1d6da4
}

.external-button:focus {
        box-shadow: none;
    }

.loader > div {
    border-radius: 50%;
    position: absolute;
    animation-name: spin;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-duration: 1.5s;
    box-sizing: border-box;
}

.username-or-password:focus-within div {
    color: rgb(41, 155, 234);  
}

.login-form-text-box {
    width: 100%;
    font-size: 12px;
    color: rgb(124, 129, 150);
    overflow: auto;
    white-space: normal;

    font-family: "Segoe UI", sans-serif;
}

.login-page input {
    margin-top: 2px;
    border: 1px solid #ddd;
    font-size: .75rem;
    margin-bottom: 1rem;
    height: 40px;
}

.login-page input::placeholder {
    color: #abb0b6;
}

.login-page input:focus {
    border: 1px solid rgb(41, 155, 234);
    box-shadow: none;
}
.login-page input:hover {
    border: 1px solid rgb(41, 155, 234);
    box-shadow: none;
}

.two-fa-code-wrapper {
    position: relative;
}

.two-fa-code-wrapper .hint-wrapper {
    position: absolute;
    right: 0;
    top: 0;
    width: 38px;
    height: 38px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
}

.two-fa-code-wrapper .hint-wrapper .hint {
    position: relative;
    width: 17px;
    height: 17px;
    border: 1px solid rgb(41, 155, 234);
    color: rgb(41, 155, 234);
    font-weight: 900;
    line-height: 15px;
    border-radius: 50%;
    font-size: 14px;
    text-align: center;
    cursor: pointer;
    padding-left: 1px;
}

.show {
    opacity: 1;
    transition: opacity .2s ease-in-out;
}

.hidden {
    opacity: 0;
    transition: opacity .2s ease-in-out;
    z-index: -1;
}

.two-fa-code-wrapper .hint-popover {
    position: absolute;
    display: flex;
    align-items: center;
}

.two-fa-code-wrapper .hint-popover .popover-arrow {
    overflow: hidden;
    padding-top: 3px;
}

@media screen and (min-width: 768px) {
    .two-fa-code-wrapper .hint-popover {
        flex-direction: column;
        top: 100%;
        left: calc(100% - 174px);
    }

    .two-fa-code-wrapper .hint-popover .popover-arrow {
        width: 20px;
        height: 10px;
        padding-left: 3px;
    }

    .two-fa-code-wrapper .hint-popover .popover-arrow .arrow {
        transform: rotate(45deg);
    }

    .two-fa-code-wrapper .hint-popover .popover-content {
        margin-top: -1px;
    }
}

@media screen and (max-width: 767px) {
    .two-fa-code-wrapper .hint-popover {
        flex-direction: row-reverse;
        top: -115%;
        right: 1.875rem;
    }

    .two-fa-code-wrapper .hint-popover .popover-arrow {
        width: 10px;
        height: 20px;
    }

    .two-fa-code-wrapper .hint-popover .popover-arrow .arrow {
        transform: translate(-7px, 0) rotate(45deg);
    }

    .two-fa-code-wrapper .hint-popover .popover-content {
        margin-right: -1px;
    }
}

.two-fa-code-wrapper .hint-popover .popover-arrow .arrow {
    background-color: white;
    border: 1px solid #ddd;
    width: 14px;
    height: 14px;
}

.two-fa-code-wrapper .hint-popover .popover-content {
    margin-top: -1px;
    width: 310px;
    background-color: white;
    border: 1px solid #ddd;
    border-radius: 6px;
    padding: 10px;
    font-size: 12px;
    text-align: left;
    box-shadow: 0 4px 8px black;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15)
}

.form-errors {
    color: #e55832;
    font-size: 12px;
}

.validation-summary-errors > ul {
    list-style: none !important;
    font-size: 13px !important;
    padding-left: 0 !important;
}

.loader-container {
    height: 1.875rem;
    display: none;
}

.loader {
    width: 1.875rem;
    height: 1.875rem;
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
}

.loader .one {
    width: 100%;
    height: 100%;
    transform: rotate(45deg);
    border-top: 3px solid #263f6a;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    border-bottom: 3px solid transparent;
    animation-delay: 0s;
}

.loader .two {
    width: 20px;
    height: 20px;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    transform: rotate(45deg);
    border-top: 3px solid #263f6a;
    border-left: 3px solid rgba(35, 31, 32, .5);
    border-right: 3px solid rgba(35, 31, 32, .5);
    border-bottom: 3px solid rgba(35, 31, 32, .5);
    animation-delay: .25s;
}

.loader .three {
    width: 20px;
    height: 20px;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    transform: rotate(45deg);
    border-top: 3px solid #263f6a;
    border-left: 3px solid rgba(35, 31, 32, .5);
    border-right: 3px solid rgba(35, 31, 32, .5);
    border-bottom: 3px solid rgba(35, 31, 32, .5);
    animation-delay: .25s;
}

@keyframes spin {
    50%, 100% {
      transform: rotate(405deg);
    }
}

.content {
    width: 100%;
    max-width: 420px;
    padding: 15px;
    margin: auto;
    margin-top: 10px;
}

.long-text {
    word-break: break-all !important;
}

.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
}

@media (min-width: 768px) {
    .bd-placeholder-img-lg {
        font-size: 3.5rem;
    }
}

.column {
    display: flex;
    flex-direction: column;
}

hr {
    width: 100%;
}

.btn {
    font-size: .875rem
}

.list-inline-item:not(:last-child) {
    margin-bottom: .5rem;
}